> ## Documentation Index
> Fetch the complete documentation index at: https://docs.flextell.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Update authenticated user information



## OpenAPI

````yaml https://dev.flextell.ai/docs/api.json put /v1/account
openapi: 3.1.0
info:
  title: Flextell API
  version: 0.0.1
  description: '## Flextell API'
servers:
  - url: https://dev.flextell.ai/api
security:
  - oauth2: []
  - bearer: []
paths:
  /v1/account:
    put:
      tags:
        - Account
      summary: Update authenticated user information
      operationId: account.update
      requestBody:
        content:
          application/json:
            schema:
              $ref: '#/components/schemas/AccountUpdateRequest'
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                type: object
                properties:
                  success:
                    type: string
                  data:
                    $ref: '#/components/schemas/AccountResource'
                required:
                  - success
                  - data
        '401':
          $ref: '#/components/responses/AuthenticationException'
        '422':
          $ref: '#/components/responses/ValidationException'
components:
  schemas:
    AccountUpdateRequest:
      type: object
      properties:
        name:
          type: string
          description: The name.
          maxLength: 255
        email:
          type: string
          format: email
          description: The email address.
          maxLength: 255
        avatar_url:
          type:
            - string
            - 'null'
          format: uri
          description: The avatar URL.
      title: AccountUpdateRequest
    AccountResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        email:
          type: string
        title:
          type:
            - string
            - 'null'
        phone:
          type:
            - string
            - 'null'
        emergency_contact_name:
          type:
            - string
            - 'null'
        emergency_contact_surname:
          type:
            - string
            - 'null'
        emergency_contact_phone_number:
          type:
            - string
            - 'null'
        blood_group:
          type:
            - string
            - 'null'
        language:
          type:
            - array
            - 'null'
          items: {}
        avatar_url:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
        bio:
          type:
            - string
            - 'null'
        last_login_at:
          type:
            - string
            - 'null'
          format: date-time
        last_login_ip:
          type:
            - string
            - 'null'
        tenants:
          type: array
          items:
            $ref: '#/components/schemas/AccountTenantResource'
        created_at:
          type:
            - string
            - 'null'
          format: date-time
        updated_at:
          type:
            - string
            - 'null'
          format: date-time
      required:
        - id
        - name
        - email
        - title
        - phone
        - emergency_contact_name
        - emergency_contact_surname
        - emergency_contact_phone_number
        - blood_group
        - language
        - avatar_url
        - is_active
        - bio
        - last_login_at
        - last_login_ip
        - created_at
        - updated_at
      title: AccountResource
    AccountTenantResource:
      type: object
      properties:
        id:
          type: integer
        name:
          type: string
        slug:
          type: string
        avatar_url:
          type:
            - string
            - 'null'
        is_active:
          type: boolean
      required:
        - id
        - name
        - slug
        - avatar_url
        - is_active
      title: AccountTenantResource
  responses:
    AuthenticationException:
      description: Unauthenticated
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Error overview.
            required:
              - message
    ValidationException:
      description: Validation error
      content:
        application/json:
          schema:
            type: object
            properties:
              message:
                type: string
                description: Errors overview.
              errors:
                type: object
                description: A detailed description of each field that failed validation.
                additionalProperties:
                  type: array
                  items:
                    type: string
            required:
              - message
              - errors
  securitySchemes:
    oauth2:
      type: oauth2
      flows:
        authorizationCode:
          authorizationUrl: https://dev.flextell.ai/oauth/authorize
          tokenUrl: https://dev.flextell.ai/oauth/token
          scopes:
            '*': all
    bearer:
      type: http
      scheme: bearer

````